import { ReduxActionContextDecoratorConfig, ReduxActionDecoratorConfig, ReduxReducerDecoratorConfig, ReduxStateDecoratorConfig } from '@harmowatch/redux-decorators';
import { MethodType } from '@harmowatch/redux-decorators/lib/generic/generic-decorator';
export * from './redux-select.decorator';
export declare function ReduxAction(config?: ReduxActionDecoratorConfig): MethodType<Function>;
export declare function ReduxActionContext(config?: ReduxActionContextDecoratorConfig): <C extends new (...args: any[]) => {}>(constructor: C) => C;
export declare function ReduxState(config?: ReduxStateDecoratorConfig): <C extends new (...args: any[]) => {}>(constructor: C) => C;
export declare function ReduxReducer(config?: ReduxReducerDecoratorConfig): (target: object, propertyKey: string | symbol, descriptor: TypedPropertyDescriptor<Function>) => void;
