import 'rxjs/add/operator/takeWhile';
import 'rxjs/add/operator/toPromise';
import { Action, Store, Unsubscribe } from 'redux';
import { ReduxRootState } from '../interfaces/redux-root-state.interface';
import { ReduxStateProviderType } from '../interfaces/redux-state.provider.interface';
export declare class ReduxTestingStore implements Store<{}> {
    private state;
    static factory(): ReduxTestingStore;
    setState<S>(state: ReduxStateProviderType, value: S): Promise<ReduxRootState>;
    getState(): {};
    subscribe(listener: () => void): Unsubscribe;
    replaceReducer(): void;
    dispatch<T extends Action>(action: T): T;
}
